using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.EntityFrameworkCore;
using Practikaoy.Models;
using ReactiveUI;

namespace Practikaoy.ViewModels
{
	public class MeRoomViewModel : ReactiveObject
	{
       Sazonova2Context ConnectBD = new Sazonova2Context();
        User? _Useris;
        bool _UserisChanged = false;
        public bool _UserisChangedEnd;
        public List<string> GendersList => new List<string>() { "", "" };
        public User UserIS { get => _Useris; set => _Useris = value; }
        public bool UserisChanged { get => _UserisChanged; set => this.RaiseAndSetIfChanged(ref _UserisChanged, value); }
        public bool UserisChangedEnd { get => _UserisChangedEnd; set => this.RaiseAndSetIfChanged(ref _UserisChangedEnd, value); }

        
        public MeRoomViewModel(int id)
        {
            UserIS = ConnectBD.Users.Include(x => x.IdRoleNavigation).Include(x => x.IdUserNavigation.IdGenderNavigation).FirstOrDefault(x => x.IdUser == id); 
        }
        




    }
}


    
